package sun.reflect.misc;

import java.lang.reflect.Field;

public final class FieldUtil
{
    private FieldUtil() {
    }
    
    public static Field getField(Class<?> clazz, String name) throws NoSuchFieldException {
        ReflectUtil.checkPackageAccess(clazz);
        return clazz.getField(name);
    }
    
    public static Field[] getFields(Class<?> clazz) {
        ReflectUtil.checkPackageAccess(clazz);
        return clazz.getFields();
    }
    
    public static Field[] getDeclaredFields(Class<?> clazz) {
        ReflectUtil.checkPackageAccess(clazz);
        return clazz.getDeclaredFields();
    }
}
